# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_MakeFacetedBrep Class Reference

This class implements the mapping between classes
Shell or Solid from TopoDS and FacetedBrep from
StepShape. All the topology and geometry comprised
into the shell or the solid are taken into account and
translated.
.

`#include <TopoDSToStep_MakeFacetedBrep.hxx>`

Inheritance diagram for TopoDSToStep_MakeFacetedBrep:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_MakeFacetedBrep (const TopoDS_Shell &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT | TopoDSToStep_MakeFacetedBrep (const TopoDS_Solid &S, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT const Handle_StepShape_FacetedBrep & | Value () const

## Private Attributes

Handle_StepShape_FacetedBrep | theFacetedBrep

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_MakeFacetedBrep::TopoDSToStep_MakeFacetedBrep | ( | const TopoDS_Shell & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

Standard_EXPORT TopoDSToStep_MakeFacetedBrep::TopoDSToStep_MakeFacetedBrep | ( | const TopoDS_Solid & | S,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

void TopoDSToStep_MakeFacetedBrep::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeFacetedBrep::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_MakeFacetedBrep::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_FacetedBrep& TopoDSToStep_MakeFacetedBrep::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_FacetedBrep TopoDSToStep_MakeFacetedBrep::theFacetedBrep `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_MakeFacetedBrep.hxx